<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cirs.biz.mapper.RecommendInfoMapper">

    <resultMap type="com.cirs.biz.domain.RecommendInfo" id="RecommendInfoResult">
        <result property="id"    column="id"    />
        <result property="componentName"    column="component_name"    />
        <result property="componentModel"    column="component_model"    />
        <result property="replaceDomesticModel"    column="replace_domestic_model"    />

    </resultMap>
    <select id="RecommendQueryList" resultMap="RecommendInfoResult">
        select id,component_model,component_name,replace_domestic_model
            from t_electron_component

    </select>
</mapper>
